Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnNames.COLUMNS

Enclosing interface:
  JDBCColumnNames

    public static interface JDBCColumnNames.COLUMNS

This class contains constants representing column names on ResultSet returned by getColumns method on DatabaseMetaData. These constant values are be used to hardcode the column names used in constructin the ResultSet obj.

Field Summary
`static String` | `BUFFER_LENGTH` name of column that is not used will contain nulls
`static String` | `CHAR_OCTET_LENGTH` name of column that stores the max number of bytes in the column
`static String` | `COLUMN_DEF` name of column which contails default value for the column.
`static String` | `COLUMN_NAME`
`static String` | `COLUMN_SIZE`
`static String` | `DATA_TYPE` name of column that contains SQL type from java.sql.Types for column's data type.
`static String` | `DECIMAL_DIGITS`
`static String` | `FORMAT` name of column that has an String value indicating format
`static String` | `IS_NULLABLE` name of column that has an String value indicating nullablity
`static String` | `MAX_RANGE` name of column that has an String value indicating maximum range
`static String` | `MIN_RANGE` name of column that has an String value indicating minimum range
`static String` | `NULLABLE` name of column that has an String value indicating nullablity
`static String` | `NUM_PREC_RADIX`
`static String` | `ORDINAL_POSITION` name of column that stores the index of a column in the table
`static String` | `REMARKS` name of column containing explanatory notes.
`static String` | `SCOPE_CATLOG` name of column that is the scope of a reference attribute (null if DATA_TYPE isn't REF)
`static String` | `SCOPE_SCHEMA` name of column that is the scope of a reference attribute (null if the DATA_TYPE isn't REF)
`static String` | `SCOPE_TABLE` name of column that is the scope of a reference attribure (null if the DATA_TYPE isn't REF)
`static String` | `SOURCE_DATA_TYPE` name of column that is source type of a distinct type or user-generated Ref type, SQL type from java.sql.Types (null if DATA_TYPE isn't DISTINCT or user-generated REF)
`static String` | `SQL_DATA_TYPE` name of column that not used will contain nulls
`static String` | `SQL_DATETIME_SUB` name of column that not used will contain nulls
`static String` | `TABLE_CAT`
`static String` | `TABLE_NAME`
`static String` | `TABLE_SCHEM`
`static String` | `TYPE_NAME` name of column that contains local type name used by the data source.

Field Detail

### TABLE_CAT

    static final String TABLE_CAT

See Also:
  Constant Field Values

### TABLE_SCHEM

    static final String TABLE_SCHEM

See Also:
  Constant Field Values

### TABLE_NAME

    static final String TABLE_NAME

See Also:
  Constant Field Values

### COLUMN_NAME

    static final String COLUMN_NAME

See Also:
  Constant Field Values

### DATA_TYPE

    static final String DATA_TYPE

  name of column that contains SQL type from java.sql.Types for column's data type.

  See Also:
    Constant Field Values

### TYPE_NAME

    static final String TYPE_NAME

  name of column that contains local type name used by the data source.

  See Also:
    Constant Field Values

### COLUMN_SIZE

    static final String COLUMN_SIZE

See Also:
  Constant Field Values

### BUFFER_LENGTH

    static final String BUFFER_LENGTH

  name of column that is not used will contain nulls

  See Also:
    Constant Field Values

### DECIMAL_DIGITS

    static final String DECIMAL_DIGITS

See Also:
  Constant Field Values

### NUM_PREC_RADIX

    static final String NUM_PREC_RADIX

See Also:
  Constant Field Values

### NULLABLE

    static final String NULLABLE

  name of column that has an String value indicating nullablity

  See Also:
    Constant Field Values

### REMARKS

    static final String REMARKS

  name of column containing explanatory notes.

  See Also:
    Constant Field Values

### COLUMN_DEF

    static final String COLUMN_DEF

  name of column which contails default value for the column.

  See Also:
    Constant Field Values

### SQL_DATA_TYPE

    static final String SQL_DATA_TYPE

  name of column that not used will contain nulls

  See Also:
    Constant Field Values

### SQL_DATETIME_SUB

    static final String SQL_DATETIME_SUB

  name of column that not used will contain nulls

  See Also:
    Constant Field Values

### CHAR_OCTET_LENGTH

    static final String CHAR_OCTET_LENGTH

  name of column that stores the max number of bytes in the column

  See Also:
    Constant Field Values

### ORDINAL_POSITION

    static final String ORDINAL_POSITION

  name of column that stores the index of a column in the table

  See Also:
    Constant Field Values

### IS_NULLABLE

    static final String IS_NULLABLE

  name of column that has an String value indicating nullablity

  See Also:
    Constant Field Values

### SCOPE_CATLOG

    static final String SCOPE_CATLOG

  name of column that is the scope of a reference attribute (null if DATA_TYPE isn't REF)

  See Also:
    Constant Field Values

### SCOPE_SCHEMA

    static final String SCOPE_SCHEMA

  name of column that is the scope of a reference attribute (null if the DATA_TYPE isn't REF)

  See Also:
    Constant Field Values

### SCOPE_TABLE

    static final String SCOPE_TABLE

  name of column that is the scope of a reference attribure (null if the DATA_TYPE isn't REF)

  See Also:
    Constant Field Values

### SOURCE_DATA_TYPE

    static final String SOURCE_DATA_TYPE

  name of column that is source type of a distinct type or user-generated Ref type, SQL type from java.sql.Types (null if DATA_TYPE isn't DISTINCT or user-generated REF)

  See Also:
    Constant Field Values

### FORMAT

    static final String FORMAT

  name of column that has an String value indicating format

  See Also:
    Constant Field Values

### MIN_RANGE

    static final String MIN_RANGE

  name of column that has an String value indicating minimum range

  See Also:
    Constant Field Values

### MAX_RANGE

    static final String MAX_RANGE

  name of column that has an String value indicating maximum range

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.